vue项目初始化完成后,用npm install安装项目依赖时出错

海礁 发布于 2016/11/01 18:30
阅读 5K+
收藏 0
加载中
0
wuyiw
wuyiw
selenuimt挺大的吧, npm官方源又不稳定, 可能是没下载完整, 试试npm cache clean 清空缓存然后改为淘宝的npm源: http://registry.npm.taobao.org/ (改源就行, 不用cnpm)
s
shadowJB
回复 @惊-风 : 请问楼主怎么解决的这个问题,我这也出现了,谢谢
海礁
海礁
哈哈,谢谢啦,终于找到原因了,跟大家分享下:我今天换了两种源了,虽然安装依赖的速度相比与之前有加快,但是安装依赖的过程中还是出现了各种错误,一点点处理过来之后,终于安装好了,运行的时候又错了,提示让我升级版本到>=3.0.0,然后我就升级了版本,ok了。。。。。当然,这不是重点,重点是我新建项目时,用新版本的npm安装依赖时,那速度犹如脱了缰的野狗,也不报错了
0
taodongl
taodongl
虽然问题解决了,其实我认为根源在于node.js 4.x,你应该尝试换成node.js 6.x。两个版本的包格式都变了。
海礁
海礁
没研究过,回头看看,多谢
返回顶部
顶部